Subject: bug#23556: sort(1): misleading description of option -n

From: Assaf Gordon <[email-masked]>
Date: Sat, 27 Oct 2018 16:41:23 -0600

close 23556
stop

(triaging old bugs)

On 2016-05-16 4:23 p.m., Carsten Hey wrote:
> * Assaf Gordon [2016-05-16 15:07 -0400]:
>>
>> IIUC, you are disputing the accuracy (or clarity) of the term "string
>> numerical value" on the manual page, and not the actual behavior of
>> "sort -n" …
> 
> Exactly.  It seems like many people have problems to understand mails
> that contain code, but are neither a patch nor complain about the
> behaviour of a program - maybe my wording was suboptimal too.  I'll
> consider this in future when I write similar mails.
> 
[...]

>> If you have a suggestion for improved wording, I'm sure they can be
>> considered for inclusion.
> 
> If I would not know that "string numeric value" is proper English,
> I wouldn't consider it to be correct, hence I'm likely the wrong person
> to suggest a concrete wording, …

With no further follow-ups in 2 years, I'm closing this bug.
Discussion can continue by replying to this thread,
and patches are always welcomed.

-assaf